#!/usr/bin/python
### Zhe Zhang
### 2020-04-22
### python script to extract gldas initial conditions
### origional perl code from Mike's directory
### migrate from perl to python

import glob
import numpy as np
import sys,os

#date = "2001010100" # Manually set the date
data_dir = "/Users/heshuaichen/Desktop/test"
results_dir = "/Users/heshuaichen/Desktop/extract/INIT"
if not os.path.exists(results_dir):
    os.system("mkdir "+results_dir)

yr   = "20"
date = "0101"
cc   = "20"

filename = data_dir+"/land."+cc+yr+date+"01.grib"
vars_name= ["235","141","139","170","183","236","39","40","41","42"]
vars_out = ["SKT","SD","STL1","STL2","STL3","STL4","SWVL1","SWVL2","SWVL3","SWVL4"]
for var in range(len(vars_name)):
    print("working on time: ",cc+yr+date+"01")
    outfile = results_dir+"/ERA5_"+vars_out[var]+"_"+cc+yr+date+"01"
    if not os.path.exists(outfile):
        os.system("cdo -f grb -t ecmwf selcode,"+vars_name[var]+" "+filename+" "+outfile)
    else:
        print("file exist, move to next one")
print("Successfully extract initial variables")
