import glob
import numpy as np
import sys,os

nums = ["00","01","02","03","04","05","06","07","08","09",
        "10","11","12","13","14","15","16","17","18","19",
        "20","21","22","23","24","25","26","27","28","29",
        "30","31"]
yrs  = ["20"]#,"02","03","04","05","06","07","08","09","10"]   #modify here
day_start = 1     #modify here
day_end   = 3        #modify here
hrs = ["00","01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23"]
cc  = ["20"]   # Manually set the century

leap_days = [0,31,59,90,120,151,181,212,243,273,304,334,365]
noleap_days   = [0,31,60,91,121,152,182,213,244,274,305,335,366]

vars_name = ["165","166","167","168","134","169","175","228"]
vars_short = ["10U","10V","2T","2D","SP","SSRD","STRD","TP"]
vars_out= ["10U","10V","2T","2D","SP","ACSSRD","ACSTRD","ACTP"]

data_dir = "/Users/heshuaichen/Desktop/test/h"            #modify here
results_dir = "/Users/heshuaichen/Desktop/extract"        #modify here

for var in range(len(vars_name)):
    if not os.path.exists(results_dir+"/"+vars_short[var]):
        os.system("mkdir "+results_dir+"/"+vars_short[var])
    for yy in range(len(yrs)):
        if (yrs[yy]=="04" or yrs[yy]=="08"):
            modays = noleap_days
        else:
            modays = leap_days
        for julday in range(day_start,day_end+1,1):
            for mo in range(0,12,1):
                if (julday>modays[mo] and julday<=modays[mo+1]):
                    day = (julday - modays[mo])
                    if (mo<9):
                        mon = "0"+str(mo+1)
                    else:
                        mon = str(mo+1)
                    if (day<10):
                        day = "0"+str(day)
                    else:
                        day = str(day)
                    infiles = sorted(glob.glob(data_dir+"/land."+cc[0]+yrs[yy]+(mon)+(day)+"*"))
                    if (len(infiles)>0):
                        intime = cc[0]+yrs[yy]+(mon)+(day)
                        infile_list = infiles
            for hr in range(0,24):
                infile = infile_list[hr]
                print ("working on date: ",intime)
                outfile= results_dir+"/"+vars_short[var]+"/ERA5_"+vars_out[var]+"_"+intime+hrs[hr]
                if not os.path.exists(outfile):
                    print("working on file: ",infile)
                    os.system("cdo -f grb -t ecmwf selcode,"+vars_name[var]+" "+infile+" "+outfile)
                else:
                    print ("file exist, move to next one")

print("Successfully extract necessary variables!")
